# Ogre::GLFBOManager::RBFormat Struct Reference

Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format. More...

List of all members.

## Public Member Functions

| RBFormat (GLenum format, size_t width, size_t height)
bool | operator< (const RBFormat &other) const

## Public Attributes

GLenum | format
size_t | width
size_t | height

## Detailed Description

Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.

This can save a lot of memory when a large amount of rendertargets are used.

Definition at line 127 of file OgreGLFBORenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLFBOManager::RBFormat::RBFormat | ( | GLenum | format,
|  | size_t | width,
|  | size_t | height
| ) |

| Definition at line 129 of file OgreGLFBORenderTexture.h.

## Member Function Documentation

bool Ogre::GLFBOManager::RBFormat::operator< | ( | const RBFormat & | other | ) | const

| Definition at line 136 of file OgreGLFBORenderTexture.h. References format, height, and width.

## Member Data Documentation

GLenum Ogre::GLFBOManager::RBFormat::format

| Definition at line 132 of file OgreGLFBORenderTexture.h. Referenced by operator<().

size_t Ogre::GLFBOManager::RBFormat::height

| Definition at line 134 of file OgreGLFBORenderTexture.h. Referenced by operator<().

size_t Ogre::GLFBOManager::RBFormat::width

| Definition at line 133 of file OgreGLFBORenderTexture.h. Referenced by operator<().

The documentation for this struct was generated from the following file:

- OgreGLFBORenderTexture.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:48:32 2006